%global enable_tests 0
%global module_name pinkie

Name:           nodejs-%{module_name}
Version:        2.0.4
Release:        3%{?dist}
Summary:        Itty bitty little widdle twinkie pinkie ES6 Promise implementation

License:        MIT
URL:            https://github.com/floatdrop/pinkie
Source0:        https://github.com/floatdrop/%{module_name}/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
%endif

%files
%doc readme.md 
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Parag Nemade <pnemade AT redhat DOT com> - 2.0.4-1
- update to 2.0.4

* Sun Jan 31 2016 Parag Nemade <pnemade AT redhat DOT com> - 2.0.2-1
- update to 2.0.2

* Mon Nov 23 2015 Parag Nemade <pnemade AT redhat DOT com> - 2.0.1-1
- update to 2.0.1

* Wed Jul 15 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

